DirectService (Mule ESB 2.2.1 API)
Keywords: org.mule.model.direct.DirectService class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.model.direct
Class DirectService

    java.lang.Object
      org.mule.service.AbstractService
          org.mule.model.direct.DirectService

All Implemented Interfaces:
  Serializable, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject, Service

Direct Known Subclasses:
  PipelineService

    public class DirectService

extends AbstractService

A direct service invokes the service service directly without any threading, even when the invocation is asynchronous

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.service.AbstractService
`component, exceptionListener, inboundRouter, INITIAL_STATE_PAUSED, INITIAL_STATE_STARTED, INITIAL_STATE_STOPPED, initialised, initialState, logger, model, muleContext, name, outboundRouter, paused, responseRouter, stats, stopped, stopping`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`DirectService()`

Method Summary
`protected void` | `doDispatch(MuleEvent event)`
`protected MuleMessage` | `doSend(MuleEvent event)`

Methods inherited from class org.mule.service.AbstractService
`connectListeners, createStatistics, disconnectListeners, dispatchEvent, dispatchToOutboundRouter, dispose, doDispose, doForceStop, doInitialise, doPause, doResume, doStart, doStop, fireServiceNotification, forceStop, getComponent, getExceptionListener, getInboundRouter, getIncomingEndpoints, getInitialState, getModel, getMuleContext, getName, getOutboundRouter, getReplyToHandler, getResponseRouter, getStatistics, handleException, initialise, invokeComponent, isPaused, isStarted, isStopped, isStopping, pause, processAsyncReplyRouter, processReplyTo, registerListeners, resume, sendEvent, sendToOutboundRouter, setComponent, setExceptionListener, setInboundRouter, setInitialState, setModel, setMuleContext, setName, setOutboundRouter, setResponseRouter, start, start, startListeners, stop, stopListeners, toString, unregisterListeners, waitIfPaused`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DirectService

    public DirectService()

Method Detail

### doSend

    protected MuleMessage doSend(MuleEvent event)
                          throws MuleException

  Specified by:
    `doSend` in class `AbstractService`
  Throws:
    `MuleException`

### doDispatch

    protected void doDispatch(MuleEvent event)
                       throws MuleException

  Specified by:
    `doDispatch` in class `AbstractService`
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.